Subject: Re: [PATCH v3 2/3] refs: add option core.logAllRefUpdates = always

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Jan 2017 14:02:35 -0800

Cornelius Weig <[email-masked]> writes:

> On 01/31/2017 06:08 PM, Junio C Hamano wrote:
>> I think it is probably a good idea to document the behaviour
>> (i.e. "--no-create" single-shot from the command line is ignored).
>> I am not sure we should error out, though, in order to "disallow"
>> it---a documented silent no-op may be sufficient.
>
> Yes, maybe abort on seeing "--no-create-reflog" is a too drastic
> measure. I presume that the best place to have the documentation would
> be to print a warning when seeing the ignored argument?
>
> Or did you just have man pages and code comment in mind?

I meant only in the documentation, but "you gave me a no-op option"
warning would not hurt.  I do not care too deeply either way.